com.pivotal.gemfirexd.internal.client.net

## Class NetStatementReply

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Reply
  - - com.pivotal.gemfirexd.internal.client.net.NetConnectionReply
    - - com.pivotal.gemfirexd.internal.client.net.NetPackageReply
      - - com.pivotal.gemfirexd.internal.client.net.NetStatementReply

All Implemented Interfaces:
  ConnectionReplyInterface, StatementReplyInterface

Direct Known Subclasses:
  NetResultSetReply

    public class NetStatementReply
    extends NetPackageReply
    implements StatementReplyInterface

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.Reply

`agent_, buffer_, count_, DEFAULT_BUFFER_SIZE, dssCorrelationID_, dssIsContinued_, dssLength_, END_OF_COLLECTION, END_OF_SAME_ID_CHAIN, ensuredLengthForDecryption_, longBufferForDecryption_, longCountForDecryption_, longPosForDecryption_, longValueForDecryption_, netAgent_, peekedCodePoint_, peekedLength_, pos_`

### Method Summary

Methods
`protected void` `copyEXTDTA(NetCursor netCursor)`
`protected void` `parseENDQRYRM(ResultSetCallbackInterface resultSetI)`
`protected void` `parseEndQuery(ResultSetCallbackInterface resultSetI)`
`protected int` `parseFastQRYATTSCR()`
`protected int` `parseFastQRYATTSET()`
`protected int` `parseFastQRYATTSNS()`
`protected int` `parseFastQRYATTUPD()`
`protected int` `parseFastQRYPRCTYP()`
`protected int` `parseFastSQLCSRHLD()`
`protected void` `parseOpenQuery(StatementCallbackInterface statementI)`
`protected NetResultSet` `parseOPNQRYRM(StatementCallbackInterface statementI, boolean isOPNQRYreply)` Open Query Complete Reply Message indicates to the requester that an OPNQRY or EXCSQLSTT command completed normally and that the query process has been initiated.
`protected Object` `parsePKGNAMCSN(boolean skip)`
`protected ArrayList` `parsePKGSNLST()`
`protected int` `parseQRYATTSCR()`
`protected int` `parseQRYATTSET()`
`protected int` `parseQRYATTSNS()`
`protected int` `parseQRYATTUPD()`
`protected void` `parseQRYDSC(NetCursor cursor)`
`protected void` `parseQRYDTA(NetResultSet netResultSet)`
`protected int` `parseQRYPRCTYP()`
`protected NetResultSet` `parseResultSetCursor(StatementCallbackInterface statementI, Section section)`
`protected void` `parseResultSetProcedure(StatementCallbackInterface statementI)`
`protected ArrayList` `parseRSLSETRM()`
`protected ColumnMetaData` `parseSQLCINRD()`
`protected int` `parseSQLCSRHLD()`
`protected NetSqlca` `parseSQLDARD(ColumnMetaData columnMetaData, StatementCallbackInterface statement, boolean skipBytes)`
`protected NetSqlca` `parseSQLDTARD(NetSqldta netSqldta)`
`protected int` `parseSQLRSLRD(ArrayList sectionAL)`
`void` `readDescribeInput(PreparedStatementCallbackInterface preparedStatement)`
`void` `readDescribeOutput(PreparedStatementCallbackInterface preparedStatement)`
`void` `readExecute(PreparedStatementCallbackInterface preparedStatement)`
`void` `readExecuteCall(StatementCallbackInterface statement)`
`void` `readExecuteImmediate(StatementCallbackInterface statement)`
`void` `readOpenQuery(StatementCallbackInterface statement)`
`void` `readPrepare(StatementCallbackInterface statement)`
`void` `readPrepareDescribeOutput(StatementCallbackInterface statement)`
`void` `readSetSpecialRegister(StatementCallbackInterface statement)`
`void` `readStatementID(StatementCallbackInterface statement)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetPackageReply

`parsePKGNAMCT, parseRDBUPDRM`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetConnectionReply

`checkAndGetReceivedFlag, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, doObjnsprmSemantics, doPrccnvrmSemantics, doPrmnsprmSemantics, parseCCSIDDBC, parseCCSIDMBC, parseCCSIDSBC, parseCMDCHKRM, parseCMDNSPRM, parseCODPNT, parseCODPNTDR, parseCommitError, parseCRRTKN, parseEXTNAM, parseFastSVRCOD, parseFastVCS, parseIndoubtList, parseInitialPBSD, parseMGRLVLN, parsePBSD, parsePRCCNVCD, parsePRCCNVRM, parsePRDID, parseRDBNAM, parseSECCHKCD, parseSECMEC, parseSECTKN, parseSQLCARD, parseSRVCLSNM, parseSRVNAM, parseSRVRLSLV, parseSVRCOD, parseSYNCCTLreply, parseSYNCTYPE, parseSYNERRCD, parseSYNTAXRM, parseTypdefsOrMgrlvlovrs, parseUOWDSP, parseUSRID, parseVALNSPRM, parseXARETVAL, parseXID, parseXIDCNT, readCommitSubstitute, readLocalCommit, readLocalRollback, readLocalXACommit, readLocalXARollback, readLocalXAStart, readXaCommit, readXaEndUnitOfWork, readXaForget, readXaPrepare, readXaRecover, readXaRollback, readXaStartUnitOfWork`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.Reply

`adjustDdmLength, adjustLengths, endOfSameIdChainData, ensureALayerDataInBuffer, ensureBLayerDataInBuffer, ensureSpaceInBufferForFill, fill, matchCodePoint, parseLengthAndMatchCodePoint, peekCodePoint, peekFastBytes, peekFastLength, peekForNullSqlcagrp, peekLength, peekNumOfColumns, peekTotalColumnCount, popCollectionStack, pushLengthOnCollectionStack, readDSSContinuationHeader, readDssHeader, readLengthAndCodePoint, startSameIdChainParse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### readPrepareDescribeOutput

    public void readPrepareDescribeOutput(StatementCallbackInterface statement)
                                   throws DisconnectException

Specified by:
  `readPrepareDescribeOutput` in interface `StatementReplyInterface`
Throws:
  `DisconnectException`

#### readStatementID

    public void readStatementID(StatementCallbackInterface statement)
                         throws DisconnectException

Specified by:
  `readStatementID` in interface `StatementReplyInterface`
Throws:
  `DisconnectException`

#### readExecuteImmediate

    public void readExecuteImmediate(StatementCallbackInterface statement)
                              throws DisconnectException

Specified by:
  `readExecuteImmediate` in interface `StatementReplyInterface`
Throws:
  `DisconnectException`

#### readOpenQuery

    public void readOpenQuery(StatementCallbackInterface statement)
                       throws DisconnectException

Specified by:
  `readOpenQuery` in interface `StatementReplyInterface`
Throws:
  `DisconnectException`

#### readExecute

    public void readExecute(PreparedStatementCallbackInterface preparedStatement)
                     throws DisconnectException

Specified by:
  `readExecute` in interface `StatementReplyInterface`
Throws:
  `DisconnectException`

#### readPrepare

    public void readPrepare(StatementCallbackInterface statement)
                     throws DisconnectException

Specified by:
  `readPrepare` in interface `StatementReplyInterface`
Throws:
  `DisconnectException`

#### readDescribeInput

    public void readDescribeInput(PreparedStatementCallbackInterface preparedStatement)
                           throws DisconnectException

Specified by:
  `readDescribeInput` in interface `StatementReplyInterface`
Throws:
  `DisconnectException`

#### readDescribeOutput

    public void readDescribeOutput(PreparedStatementCallbackInterface preparedStatement)
                            throws DisconnectException

Specified by:
  `readDescribeOutput` in interface `StatementReplyInterface`
Throws:
  `DisconnectException`

#### readExecuteCall

    public void readExecuteCall(StatementCallbackInterface statement)
                         throws DisconnectException

Specified by:
  `readExecuteCall` in interface `StatementReplyInterface`
Throws:
  `DisconnectException`

#### parseResultSetProcedure

    protected void parseResultSetProcedure(StatementCallbackInterface statementI)
                                    throws DisconnectException

Throws:
  `DisconnectException`

#### parseResultSetCursor

    protected NetResultSet parseResultSetCursor(StatementCallbackInterface statementI,
                                    Section section)
                                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseOpenQuery

    protected void parseOpenQuery(StatementCallbackInterface statementI)
                           throws DisconnectException

Throws:
  `DisconnectException`

#### parseEndQuery

    protected void parseEndQuery(ResultSetCallbackInterface resultSetI)
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseOPNQRYRM

    protected NetResultSet parseOPNQRYRM(StatementCallbackInterface statementI,
                             boolean isOPNQRYreply)
                                  throws DisconnectException

Open Query Complete Reply Message indicates to the requester that an OPNQRY or EXCSQLSTT command completed normally and that the query process has been initiated. It also indicates the type of query protocol and cursor used for the query.

When an EXCSQLSTT contains an SQL statement that invokes a stored procedure, and the procedure completes, an OPNQRYRM is returned for each answer set.

Parameters:
  `statementI` - statement callback interface
  `isOPNQRYreply` - If true, parse a reply to an OPNQRY command. Otherwise, parse a reply to an EXCSQLSTT command.
Returns:
  a `NetResultSet` value
Throws:
  `DisconnectException`

#### parseENDQRYRM

    protected void parseENDQRYRM(ResultSetCallbackInterface resultSetI)
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseRSLSETRM

    protected ArrayList parseRSLSETRM()
                               throws DisconnectException

Throws:
  `DisconnectException`

#### parseSQLDTARD

    protected NetSqlca parseSQLDTARD(NetSqldta netSqldta)
                              throws DisconnectException

Throws:
  `DisconnectException`

#### parseQRYDSC

    protected void parseQRYDSC(NetCursor cursor)
                        throws DisconnectException

Throws:
  `DisconnectException`

#### parseQRYDTA

    protected void parseQRYDTA(NetResultSet netResultSet)
                        throws DisconnectException

Throws:
  `DisconnectException`

#### copyEXTDTA

    protected void copyEXTDTA(NetCursor netCursor)
                       throws DisconnectException

Throws:
  `DisconnectException`

#### parsePKGNAMCSN

    protected Object parsePKGNAMCSN(boolean skip)
                             throws DisconnectException

Throws:
  `DisconnectException`

#### parseQRYPRCTYP

    protected int parseQRYPRCTYP()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseFastQRYPRCTYP

    protected int parseFastQRYPRCTYP()
                              throws DisconnectException

Throws:
  `DisconnectException`

#### parseSQLCSRHLD

    protected int parseSQLCSRHLD()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseFastSQLCSRHLD

    protected int parseFastSQLCSRHLD()
                              throws DisconnectException

Throws:
  `DisconnectException`

#### parseQRYATTSCR

    protected int parseQRYATTSCR()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseFastQRYATTSCR

    protected int parseFastQRYATTSCR()
                              throws DisconnectException

Throws:
  `DisconnectException`

#### parseQRYATTSET

    protected int parseQRYATTSET()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseFastQRYATTSET

    protected int parseFastQRYATTSET()
                              throws DisconnectException

Throws:
  `DisconnectException`

#### parseQRYATTSNS

    protected int parseQRYATTSNS()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseFastQRYATTSNS

    protected int parseFastQRYATTSNS()
                              throws DisconnectException

Throws:
  `DisconnectException`

#### parseQRYATTUPD

    protected int parseQRYATTUPD()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseFastQRYATTUPD

    protected int parseFastQRYATTUPD()
                              throws DisconnectException

Throws:
  `DisconnectException`

#### parsePKGSNLST

    protected ArrayList parsePKGSNLST()
                               throws DisconnectException

Throws:
  `DisconnectException`

#### parseSQLDARD

    protected NetSqlca parseSQLDARD(ColumnMetaData columnMetaData,
                        StatementCallbackInterface statement,
                        boolean skipBytes)
                             throws DisconnectException

Throws:
  `DisconnectException`

#### parseSQLRSLRD

    protected int parseSQLRSLRD(ArrayList sectionAL)
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseSQLCINRD

    protected ColumnMetaData parseSQLCINRD()
                                    throws DisconnectException

Throws:
  `DisconnectException`

#### readSetSpecialRegister

    public void readSetSpecialRegister(StatementCallbackInterface statement)
                                throws DisconnectException

Specified by:
  `readSetSpecialRegister` in interface `StatementReplyInterface`
Throws:
  `DisconnectException`